/*****************************************************************************/
/*	aisa35w.h																 */
/*																			 */
/*	aISA-A35															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/08/17															 */
/*																			 */
/*****************************************************************************/

#ifndef __AISA35W_H__
#define __AISA35W_H__

#include "aisa35.h"


#ifdef __cplusplus
extern "C"{
#endif


#define AISA35_DLL_NAME	  _T("aisa35.dll")	// DLL


#define AISA35_ERR_WRAPDLL ((DWORD)-1)	// bp[֐G[


BOOL  Aisa35wDllOpen();			// DLL [h
BOOL  Aisa35wDllClose();		// DLL A[h

BOOL  Aisa35wGetVersion(PDWORD pdwDllVer, PDWORD pdwDrvVer);

BOOL  Aisa35wCreate(PWORD pwLogSlot);	// CӂaISA-A35̎gp錾
BOOL  Aisa35wClose(WORD wLogSlot);		// CӂaISA-A35̎gpJ

BOOL  Aisa35wGetResource(WORD wLogSlot, PAISA35R pres);			// \[X擾

BOOL  Aisa35wStartSampling(WORD wLogSlot, PAISA35P pcpara, PWORD pwSamplingData);

BOOL  Aisa35wInPort(WORD wLogSlot, PBYTE pbInValue);	// f[^
BOOL  Aisa35wOutPort(WORD wLogSlot, BYTE bOutValue);	// f[^o

DWORD Aisa35wGetLastError(WORD wLogSlot);	// aISA-A35̃G[R[h


#ifdef __cplusplus
}
#endif

#endif // __AISA35W_H__
